org.wildfly.swarm.config.management.security_realm

## Class LdapAuthorization<T extends LdapAuthorization<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.security_realm.LdapAuthorization<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class LdapAuthorization<T extends LdapAuthorization<T>>
      extends HashMap

  Configuration to use LDAP as the user repository.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LdapAuthorization.LdapAuthorizationResources` Child mutators for LdapAuthorization

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LdapAuthorization()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `advancedFilterUsernameToDn()` An advanced filter configuration to identify the users distinguished name from the username.
    `T` | `advancedFilterUsernameToDn(AdvancedFilterUsernameToDn value)` An advanced filter configuration to identify the users distinguished name from the username.
    `T` | `advancedFilterUsernameToDn(AdvancedFilterUsernameToDnConsumer consumer)` An advanced filter configuration to identify the users distinguished name from the username.
    `T` | `advancedFilterUsernameToDn(AdvancedFilterUsernameToDnSupplier supplier)` An advanced filter configuration to identify the users distinguished name from the username.
    `String` | `connection()` The name of the connection to use to connect to LDAP.
    `T` | `connection(String value)` The name of the connection to use to connect to LDAP.
    `String` | `getKey()`
    `T` | `groupToPrincipalGroupSearch()` A group search where the group entry contains an attribute referencing it's members.
    `T` | `groupToPrincipalGroupSearch(GroupToPrincipalGroupSearch value)` A group search where the group entry contains an attribute referencing it's members.
    `T` | `groupToPrincipalGroupSearch(GroupToPrincipalGroupSearchConsumer consumer)` A group search where the group entry contains an attribute referencing it's members.
    `T` | `groupToPrincipalGroupSearch(GroupToPrincipalGroupSearchSupplier supplier)` A group search where the group entry contains an attribute referencing it's members.
    `T` | `principalToGroupGroupSearch()` A group search where the principal entries contain an attribute referencing the groups that they are a member of.
    `T` | `principalToGroupGroupSearch(PrincipalToGroupGroupSearch value)` A group search where the principal entries contain an attribute referencing the groups that they are a member of.
    `T` | `principalToGroupGroupSearch(PrincipalToGroupGroupSearchConsumer consumer)` A group search where the principal entries contain an attribute referencing the groups that they are a member of.
    `T` | `principalToGroupGroupSearch(PrincipalToGroupGroupSearchSupplier supplier)` A group search where the principal entries contain an attribute referencing the groups that they are a member of.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `LdapAuthorization.LdapAuthorizationResources` | `subresources()`
    `T` | `usernameFilterUsernameToDn()` A simple filter configuration to identify the users distinguished name from their username.
    `T` | `usernameFilterUsernameToDn(UsernameFilterUsernameToDn value)` A simple filter configuration to identify the users distinguished name from their username.
    `T` | `usernameFilterUsernameToDn(UsernameFilterUsernameToDnConsumer consumer)` A simple filter configuration to identify the users distinguished name from their username.
    `T` | `usernameFilterUsernameToDn(UsernameFilterUsernameToDnSupplier supplier)` A simple filter configuration to identify the users distinguished name from their username.
    `T` | `usernameIsDnUsernameToDn()` User search configuration where the username is already a distinguished name.
    `T` | `usernameIsDnUsernameToDn(UsernameIsDnUsernameToDn value)` User search configuration where the username is already a distinguished name.
    `T` | `usernameIsDnUsernameToDn(UsernameIsDnUsernameToDnConsumer consumer)` User search configuration where the username is already a distinguished name.
    `T` | `usernameIsDnUsernameToDn(UsernameIsDnUsernameToDnSupplier supplier)` User search configuration where the username is already a distinguished name.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### LdapAuthorization

          public LdapAuthorization()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public LdapAuthorization.LdapAuthorizationResources subresources()

    - #### usernameFilterUsernameToDn

          public T usernameFilterUsernameToDn(UsernameFilterUsernameToDn value)

      A simple filter configuration to identify the users distinguished name from their username.

    - #### usernameFilterUsernameToDn

          public T usernameFilterUsernameToDn(UsernameFilterUsernameToDnConsumer consumer)

      A simple filter configuration to identify the users distinguished name from their username.

    - #### usernameFilterUsernameToDn

          public T usernameFilterUsernameToDn()

      A simple filter configuration to identify the users distinguished name from their username.

    - #### usernameFilterUsernameToDn

          public T usernameFilterUsernameToDn(UsernameFilterUsernameToDnSupplier supplier)

      A simple filter configuration to identify the users distinguished name from their username.

    - #### groupToPrincipalGroupSearch

          public T groupToPrincipalGroupSearch(GroupToPrincipalGroupSearch value)

      A group search where the group entry contains an attribute referencing it's members.

    - #### groupToPrincipalGroupSearch

          public T groupToPrincipalGroupSearch(GroupToPrincipalGroupSearchConsumer consumer)

      A group search where the group entry contains an attribute referencing it's members.

    - #### groupToPrincipalGroupSearch

          public T groupToPrincipalGroupSearch()

      A group search where the group entry contains an attribute referencing it's members.

    - #### groupToPrincipalGroupSearch

          public T groupToPrincipalGroupSearch(GroupToPrincipalGroupSearchSupplier supplier)

      A group search where the group entry contains an attribute referencing it's members.

    - #### advancedFilterUsernameToDn

          public T advancedFilterUsernameToDn(AdvancedFilterUsernameToDn value)

      An advanced filter configuration to identify the users distinguished name from the username.

    - #### advancedFilterUsernameToDn

          public T advancedFilterUsernameToDn(AdvancedFilterUsernameToDnConsumer consumer)

      An advanced filter configuration to identify the users distinguished name from the username.

    - #### advancedFilterUsernameToDn

          public T advancedFilterUsernameToDn()

      An advanced filter configuration to identify the users distinguished name from the username.

    - #### advancedFilterUsernameToDn

          public T advancedFilterUsernameToDn(AdvancedFilterUsernameToDnSupplier supplier)

      An advanced filter configuration to identify the users distinguished name from the username.

    - #### usernameIsDnUsernameToDn

          public T usernameIsDnUsernameToDn(UsernameIsDnUsernameToDn value)

      User search configuration where the username is already a distinguished name.

    - #### usernameIsDnUsernameToDn

          public T usernameIsDnUsernameToDn(UsernameIsDnUsernameToDnConsumer consumer)

      User search configuration where the username is already a distinguished name.

    - #### usernameIsDnUsernameToDn

          public T usernameIsDnUsernameToDn()

      User search configuration where the username is already a distinguished name.

    - #### usernameIsDnUsernameToDn

          public T usernameIsDnUsernameToDn(UsernameIsDnUsernameToDnSupplier supplier)

      User search configuration where the username is already a distinguished name.

    - #### principalToGroupGroupSearch

          public T principalToGroupGroupSearch(PrincipalToGroupGroupSearch value)

      A group search where the principal entries contain an attribute referencing the groups that they are a member of.

    - #### principalToGroupGroupSearch

          public T principalToGroupGroupSearch(PrincipalToGroupGroupSearchConsumer consumer)

      A group search where the principal entries contain an attribute referencing the groups that they are a member of.

    - #### principalToGroupGroupSearch

          public T principalToGroupGroupSearch()

      A group search where the principal entries contain an attribute referencing the groups that they are a member of.

    - #### principalToGroupGroupSearch

          public T principalToGroupGroupSearch(PrincipalToGroupGroupSearchSupplier supplier)

      A group search where the principal entries contain an attribute referencing the groups that they are a member of.

    - #### connection

          public String connection()

      The name of the connection to use to connect to LDAP.

    - #### connection

          public T connection(String value)

      The name of the connection to use to connect to LDAP.

Copyright © 2018 JBoss by Red Hat. All rights reserved.